// Day Skybox

//**********************************************************************//
//
//	Proving Grounds skybox shader for Urban Terror ver 4.0 
//    Joseph "|NV|S" Mauke
//	Website : http://www.s8s.info/
//              http://www.josephmauke.com
//    Email: joemauke@hotmail.com
//
//**********************************************************************//
//
// ======================================================================
// Images for this skybox were made in VUE4 by Rabidcow
// ======================================================================
//
textures/ut_pgrounds/invis1
{
	qer_editorimage textures/ut_pgrounds/daysky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 1 1000 0 45
	q3map_surfacelight 200
	skyparms env/invis1/invis1 1024 -

}

textures/ut_pgrounds/light_glass
{
	qer_editorimage textures/ut_pgrounds/glassfx.tga
	qer_trans 	0.5
	surfaceparm trans	

	{
		map textures/ut_pgrounds/glassfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut_pgrounds/water_ripple
{
	qer_editorimage textures/ut_pgrounds/water_pool2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/ut_pgrounds/water_pool1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/ut_pgrounds/water_pool2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/ut_pgrounds/water_pool3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/ut_pgrounds/splat1
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat1.tga

	{
         map textures/ut_pgrounds/splat1.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat2
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat2.tga

	{
         map textures/ut_pgrounds/splat2.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat3
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat3.tga

	{
         map textures/ut_pgrounds/splat3.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat4
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat4.tga

	{
         map textures/ut_pgrounds/splat4.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat5
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat5.tga

	{
         map textures/ut_pgrounds/splat5.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat6
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat6.tga

	{
         map textures/ut_pgrounds/splat6.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat7
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat7.tga

	{
         map textures/ut_pgrounds/splat7.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat8
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat8.tga

	{
         map textures/ut_pgrounds/splat8.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat9
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat9.tga

	{
         map textures/ut_pgrounds/splat9.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat_die
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat_die.tga

	{
         map textures/ut_pgrounds/splat_die.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat_dirt
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat_dirt.tga

	{
         map textures/ut_pgrounds/splat_dirt.tga
	   blendfunc filter
	}
}

textures/ut_pgrounds/splat_triad
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/ut_pgrounds/splat_triad.tga

	{
         map textures/ut_pgrounds/splat_triad.tga
	   blendfunc filter
	}
}
textures/ut_pgrounds/light_industrial_01d
{
	qer_editorimage textures/ut_pgrounds/light_industrial_01d.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_pgrounds/light_industrial_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_pgrounds/light_industrial_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_pgrounds/light_industrial_02d
{
	qer_editorimage textures/ut_pgrounds/light_industrial_02d.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_pgrounds/light_industrial_02d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_pgrounds/light_industrial_02d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_pgrounds/light_spot_01d
{
	qer_editorimage textures/ut_pgrounds/light_spot_01d.tga
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_pgrounds/light_spot_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_pgrounds/light_spot_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
